
Name:		J7Z
Summary:	A P7Zip GUI for Linux to simplify data compression and backup
Version:	1.2.0
Release:	%mkrel 1
Packager:	Adrien.D & david.david (Team MLO)
URL:		https://code.google.com/p/k7z/
Source:		J7Z-%{version}-src.tar.bz2
License:	LGPL-3.0
Group:		Productivity/Archiving/Compression
Requires:	p7zip java-openjdk >= 1.7
BuildRequires:	ant ant-apache-regexp ant-nodeps java-devel-openjdk >= 1.7
BuildRequires:	p7zip update-desktop-files fdupes
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists 

%package -n J7Z-kde4
Summary:	KDE4 servicemenu for J7Z
Group: 		Productivity/Archiving/Compression
Requires:	J7Z

%description -n J7Z-kde4
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists 

%prep
%setup -q -n J7Z
%__sed -i -e 's|Qt;KDE;Utility;Archiving;Compression|Qt;KDE;Utility;Archiving;|g' \
	Desktop/Menu/J7Z.desktop

%build
pushd Build
	%__make
popd

%install
pushd Build
	%__make Install.AllUsers \
		DESTDIR=%{buildroot}
popd

%suse_update_desktop_file %{name} Utility Archiving

echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Create.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Extract.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Create.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Extract.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/Menu/J7Z.desktop

%fdupes %buildroot

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/J7Z.sh
%{_datadir}/J7Z/
%{_datadir}/applications/J7Z.desktop
%{_datadir}/icons/hicolor/16x16/actions/*.png
%{_datadir}/icons/hicolor/32x32/apps/J7Z.png
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/actions
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps

%files -n J7Z-kde4
%defattr(-, root, root)
%dir /usr/share/kde4
%dir /usr/share/kde4/services
%dir /usr/share/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%changelog
* Sun Apr 14 2013 Adrien.D (MLO Team) <adrien.d> 1.2.0-1.mga2
+ Backported from Open Suse
+ Clean "spec" file.
* Tue May 29 2012 - joerg.lorenzen@ki.tng.de
- update to version 1.2.0
* Tue Dec 27 2011 - joerg.lorenzen@ki.tng.de
- update to version 1.1.5
* Thu Mar 24 2011 - joerg.lorenzen@ki.tng.de
- Initial package, version 1.1.0
